Bug 210323 - Review Request: perl-File-DesktopEntry - Object to handle .desktop files
Review Request: perl-File-DesktopEntry - Object to handle .desktop files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 210320 210322
  Show dependency treegraph
 
Reported: 2006-10-11 11:34 EDT by Patrice Dumas
Modified: 2014-05-18 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 17:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-10-11 11:34:15 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-DesktopEntry.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-DesktopEntry-0.02-1.src.rpm
Description: 
This module is used to work with .desktop files. The format of these files
is specified by the freedesktop "Desktp Entry" specification. See
http://freedesktop.org/wiki/Standards_2fdesktop_2dentry_2dspec. For this
module version 0.9.4 of the specification was used.
Comment 1 Michael Rice 2006-10-12 12:24:20 EDT
I was looking at the spec and then at:
http://fedoraproject.org/wiki/Packaging/Perl and your spec doesnt have the
provides stuff mentioned at the top, I wasnt sure if thats because it wasnt
needed here or what. It does build fine in mock and rpmlint has nothing to say
about it.
Comment 2 Patrice Dumas 2006-10-12 15:14:33 EDT
If you refer to the requires and provides autodeps, it is only 
needed when package autodetected provides or requires are wrong. 
Those of the one I proposed seem right:

Provides: perl(File::DesktopEntry) = 0.02
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires: perl(:MODULE_COMPAT_5.8.8) perl(File::Spec) perl(strict)
Comment 3 Jason Tibbitts 2006-10-14 15:56:28 EDT
Michael, everything on http://fedoraproject.org/wiki/Packaging/Perl is either
advisory or contingent on the faulure of some part of RPM's automatic dependency
generation.  RPM actually does a pretty good job of figuring out most Perl
dependencies, and the resulting packages don't generally need much in the way of
extraneous bits.

* source files match upstream:
   9c97efa062c04bcb86a0a6a3707355d1  File-DesktopEntry-0.02.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(File::DesktopEntry) = 0.02
   perl-File-DesktopEntry = 0.02-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(File::Spec)
   perl(strict)
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=10,  0 wallclock secs ( 0.06 cusr +  0.03 csys =  0.09 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 4 Patrice Dumas 2006-10-17 17:32:21 EDT
Thanks for that review too.
Comment 5 Paul Howarth 2014-05-02 10:54:30 EDT
Package Change Request
======================
Package Name: perl-File-DesktopEntry
New Branches: el6
Owners: pghmcfc ktdreyer
InitialCC: perl-sig

I (pghmcfc) am already the owner of this package in EPEL-7.
Comment 6 Gwyn Ciesla 2014-05-02 11:06:08 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-05-02 11:25:18 EDT
perl-File-DesktopEntry-0.08-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-File-DesktopEntry-0.08-1.el6
Comment 8 Fedora Update System 2014-05-18 12:59:44 EDT
perl-File-DesktopEntry-0.08-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.